UI::GXML::XPathContext Class Reference

XPath context holder class. More...

`#include <XPathContext.hpp>`

Inheritance diagram for UI::GXML::XPathContext:
Collaboration diagram for UI::GXML::XPathContext:

## Public Types

enum | ErrorCode { Create_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.

## Public Member Functions

| XPathContext (xmlDoc *doc, xmlNode *node=0)
| Constructor libxml2 doc.
| XPathContext (Tree const &tree, xmlNode *node=0)
| Constructor from Tree.
void | registerNamespace (std::string const &prefix, std::string const &uri)
| Register a new namespace prefix for this context.

## Friends

class | Tree
class | XPathObject
class | XMLTree
class | XMLDump
class | XMLNodeSet

## Detailed Description

XPath context holder class.

Note
  xpath context associated to xmlDocs are not constant, and cannot be shared between threads.

The documentation for this class was generated from the following files:

- XPathContext.hpp
- XPathContext.cpp